Main Page Widgets Namespaces Book

# gc.h File Reference

## Classes
class | Gdk::GC
| All drawing operations in GDK take a graphics context (GC) argument. More...
## Namespaces
namespace | Gdk
namespace | Glib
## Enumerations
enum | Gdk::CapStyle { Gdk::CAP_NOT_LAST, Gdk::CAP_BUTT, Gdk::CAP_ROUND, Gdk::CAP_PROJECTING }
enum | Gdk::Fill { Gdk::SOLID, Gdk::TILED, Gdk::STIPPLED, Gdk::OPAQUE_STIPPLED }
enum | Gdk::Function { Gdk::COPY, Gdk::INVERT, Gdk::XOR, Gdk::CLEAR, Gdk::AND, Gdk::AND_REVERSE, Gdk::AND_INVERT, Gdk::NOOP, Gdk::OR, Gdk::EQUIV, Gdk::OR_REVERSE, Gdk::COPY_INVERT, Gdk::OR_INVERT, Gdk::NAND, Gdk::NOR, Gdk::SET }
enum | Gdk::GCValuesMask { Gdk::GC_FOREGROUND = 1 << 0, Gdk::GC_BACKGROUND = 1 << 1, Gdk::GC_FONT = 1 << 2, Gdk::GC_FUNCTION = 1 << 3, Gdk::GC_FILL = 1 << 4, Gdk::GC_TILE = 1 << 5, Gdk::GC_STIPPLE = 1 << 6, Gdk::GC_CLIP_MASK = 1 << 7, Gdk::GC_SUBWINDOW = 1 << 8, Gdk::GC_TS_X_ORIGIN = 1 << 9, Gdk::GC_TS_Y_ORIGIN = 1 << 10, Gdk::GC_CLIP_X_ORIGIN = 1 << 11, Gdk::GC_CLIP_Y_ORIGIN = 1 << 12, Gdk::GC_EXPOSURES = 1 << 13, Gdk::GC_LINE_WIDTH = 1 << 14, Gdk::GC_LINE_STYLE = 1 << 15, Gdk::GC_CAP_STYLE = 1 << 16, Gdk::GC_JOIN_STYLE = 1 << 17 }
enum | Gdk::JoinStyle { Gdk::JOIN_MITER, Gdk::JOIN_ROUND, Gdk::JOIN_BEVEL }
enum | Gdk::LineStyle { Gdk::LINE_SOLID, Gdk::LINE_ON_OFF_DASH, Gdk::LINE_DOUBLE_DASH }
enum | Gdk::SubwindowMode { Gdk::CLIP_BY_CHILDREN, Gdk::INCLUDE_INFERIORS }
## Functions
GCValuesMask | Gdk::operator& (GCValuesMask lhs, GCValuesMask rhs)
GCValuesMask& | Gdk::operator&= (GCValuesMask& lhs, GCValuesMask rhs)
GCValuesMask | Gdk::operator^ (GCValuesMask lhs, GCValuesMask rhs)
GCValuesMask& | Gdk::operator^= (GCValuesMask& lhs, GCValuesMask rhs)
GCValuesMask | Gdk::operator| (GCValuesMask lhs, GCValuesMask rhs)
GCValuesMask& | Gdk::operator|= (GCValuesMask& lhs, GCValuesMask rhs)
GCValuesMask | Gdk::operator~ (GCValuesMask flags)